#include "MainComponent.h"

MainComponent::MainComponent()
{
    textEditor.setEscapeAndReturnKeysConsumed(false);
    
    ok.addShortcut(KeyPress(KeyPress::returnKey));
    cancel.addShortcut(KeyPress(KeyPress::escapeKey));
    
    addAndMakeVisible(textEditor);
    addAndMakeVisible(ok);
    addAndMakeVisible(cancel);
    
    setSize(600, 400);
}

void MainComponent::paint(Graphics& g)
{
    g.fillAll(Colours::white);
}

void MainComponent::resized()
{
    auto bounds = getLocalBounds();
    bounds.removeFromBottom(bounds.getHeight() * 0.6);
    auto buttonRow = bounds.removeFromBottom(30);
    ok.setBounds(buttonRow.removeFromLeft(buttonRow.getWidth() * 0.5));
    cancel.setBounds(buttonRow);
    
    textEditor.setBounds(bounds);
}
